Bug 251850

Summary: Please add altermime dep
Product: [Fedora] Fedora Reporter: Nicolas Mailhot <nicolas.mailhot>
Component: amavisd-newAssignee: Steven Pritchard <steve>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 8CC: perl-devel, triage
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: bzcl34nup
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-01-09 02:12:33 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 235704    

Description Nicolas Mailhot 2007-08-12 09:14:28 EDT
amavisd-new can use altermime which is available in the Fedora repo, so it
should declare an altermime dep
Comment 1 Steven Pritchard 2007-08-12 15:16:59 EDT
Done.
Comment 2 Nicolas Mailhot 2007-08-12 18:02:54 EDT
Thanks a lot!

Actually looking again at amavisd logs it seems perl(Mail::SPF) can be added to
the mix, as do 
perl(Digest::SHA), perl(Crypt::OpenSSL::RSA), perl(Image::Info::JPEG), and
perl(Mail::SPF) (not sure about those, the logs are somewhat unclear if they are
optional amavisd-new or spamassassin modules)
Comment 3 Steven Pritchard 2007-08-13 19:58:41 EDT
I added Mail::SPF (and removed Mail::SPF::Query) when I added altermime.

Can I see the logs relating to those other modules?  I don't see anything 
about those in my logs, but I'm running a stock spamassassin config.
Comment 4 Nicolas Mailhot 2007-08-14 01:46:53 EDT
Aug 14 07:44:29 rousalka amavis[17039]: INFO: SA version: 3.2.3, 3.002003, no
optional modules: Sys::Hostname::Long Mail::SpamAssassin::BayesStore::PgSQL
Encode::Dete
ct Mail::SpamAssassin::Plugin::DKIM IP::Country::Fast Mail::DKIM
Mail::DKIM::Verifier Image::Info Image::Info::GIF Image::Info::JPEG
Image::Info::PNG Image::Info::TIF
F Mail::SPF::Query Crypt::OpenSSL::RSA auto::Crypt::OpenSSL::RSA::new_public_key
auto::Crypt::OpenSSL::RSA::new_key_from_parameters
auto::Crypt::OpenSSL::RSA::get_key
_parameters auto::Crypt::OpenSSL::RSA::import_random_seed Digest::SHA

I'm running stock fedora-devel sa + sa-update on updates.spamassassin.org and
saupdates.openprotect.com
Comment 5 Bug Zapper 2008-04-04 09:35:10 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 6 Bug Zapper 2008-11-26 02:40:29 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-01-09 02:12:33 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.